package com.dcit.danger.service;

import java.util.List;
import java.util.Map;

import com.dcit.danger.dto.PlanInfoDTO;
import com.dcit.danger.model.PlanInfo;
import com.dcit.danger.model.PlanInfoExample;

public interface PlanInfoService {
	
	long countByExample(PlanInfoExample example);

    int deleteByExample(PlanInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(PlanInfo record);

    int insertSelective(PlanInfo record);

    List<PlanInfo> selectByExample(PlanInfoExample example);

    PlanInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(PlanInfo record, PlanInfoExample example);

    int updateByExample(PlanInfo record, PlanInfoExample example);

    int updateByPrimaryKeySelective(PlanInfo record);

    int updateByPrimaryKey(PlanInfo record);
    
    List<PlanInfoDTO> selectPlanInfoList(Map<String, Object> map);

}
